namespace DefaultNamespace.Dto
{
    using System.Collections.Generic;
    using Newtonsoft.Json;

    public class EnergyList
    {
        [JsonProperty("keywork")]
        public string KeyWork { get; set; }

        [JsonProperty("valuework")]
        public double ValueWork { get; set; }
    }

    public class Work
    {
        [JsonProperty("work")]
        public string WorkType { get; set; }

        [JsonProperty("worklist")]
        public List<EnergyList> WorkList { get; set; }
    }

    public class SceneInformation
    {
        [JsonProperty("scenename")]
        public string SceneName { get; set; }

        [JsonProperty("questbooks")]
        public string QuestBooks { get; set; }

        [JsonProperty("userinformation")]
        public string UserInformation { get; set; }

        [JsonProperty("energyinformation")]
        public string EnergyInformation { get; set; }

        [JsonProperty("energylist")]
        public List<Work> EnergyList { get; set; }
    }

}